import { OutputOptions, OutputBundle } from 'rollup';
declare type DependencyStats = {
    fileName: string;
    size: number;
    delta?: number;
};
declare type DependencyStatsMap = {
    [filePath: string]: DependencyStats;
};
declare type DependencyType = 'direct' | 'common';
export declare type DependencyStatsOutput = Record<DependencyType, DependencyStatsMap>;
export declare function rollupPluginDependencyStats(cb: (dependencyInfo: DependencyStatsOutput) => void): {
    generateBundle(options: OutputOptions, bundle: OutputBundle): void;
    writeBundle(bundle: OutputBundle): void;
};
export {};
